Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.IOP
Class ServiceContext

    java.lang.Object
      |
      +--org.omg.IOP.ServiceContext

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class ServiceContext
extends java.lang.Object
implements IDLEntity

Struct definition : ServiceContext

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`byte[]` | `context_data` Struct member context_data
`int` | `context_id` Struct member context_id

Constructor Summary
`ServiceContext()` Default constructor
`ServiceContext(int context_id, byte[] context_data)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### context_id

    public int context_id

  Struct member context_id

### context_data

    public byte[] context_data

  Struct member context_data

Constructor Detail

### ServiceContext

    public ServiceContext()

  Default constructor

### ServiceContext

    public ServiceContext(int context_id,
                          byte[] context_data)

  Constructor with fields initialization
  Parameters:
    `context_id` - context_id struct member
    `context_data` - context_data struct member

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD